%define upstream_name    Tapper-Model
%define upstream_version 5.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tapper - Context sensitive connected DBIC schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::Schema::TestrunDB)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Context sensitive and connected DBIC schema for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 5.0.2-5.mga10
+ Revision: 2204705
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 5.0.2-4.mga9
+ Revision: 1810262
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.0.2-3.mga8
+ Revision: 1506214
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.2-2.mga7
+ Revision: 1286235
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 5.0.2-1.mga7
+ Revision: 1134028
- update to 5.0.2

* Sun Jun 19 2016 pterjan <pterjan> 5.0.1-2.mga6
+ Revision: 1033711
- Rebuild for perl 5.22.2
+ shlomif <shlomif>
- update to 5.0.1

* Thu Feb 04 2016 umeabot <umeabot> 4.1.2-6.mga6
+ Revision: 934429
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.2-5.mga5
+ Revision: 741759
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.2-3.mga4
+ Revision: 514861
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.2-2.mga3
+ Revision: 373048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.2-1.mga3
+ Revision: 330329
- update to 4.1.2

* Sat Oct 27 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 310735
- Add desc
- imported package perl-Tapper-Model


* Sat Oct 27 2012 cpan2dist 4.1.1-1mga
- initial mageia release, generated with cpan2dist
